Skip to main content
GET
Fetch payment instructions of a mass payment
Obtain the full list of mass payments async process status for a given client_id. The MassPaymentStatus field will provide the latest status whether processing is complete or still running. API consumers can retrieve a mass payment using an external_reference_id provided at the time of the mass payment submission.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

Query Parameters

client_id
string
required

The ID of the client

mass_payment_id
string

The ID of the multipayment

external_reference_id
string

The external reference of the multipayment

sell_currency
string

The sell currency of the multipayment

page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

Response

List of payment instructions

mass_payment_id
string<uuid>

The UUID of the MassPayment

external_reference_id
string

External reference of the mass payment

error
object

An error message.

mass_payment_status
enum<string>

This is an enumeration of the status of a MassPayment

Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed
sell_currency
string

Sell currency

sell_amount
string

Sell amount

trades_created
number

Number of trades created

payments_summary
object